      subroutine get_bulk
      


      use Agrif_Util
#include "Param_BeforeCall_get_bulk.h"
      

        call Sub_Loop_get_bulk( Agrif_tabvars_i(14)%iarray0, Agrif_tabva
     &rs_i(4)%iarray0, Agrif_tabvars_i(13)%iarray0, Agrif_tabvars_i(2)%i
     &array0, Agrif_tabvars_r(8)%array0, Agrif_tabvars_i(176)%iarray0, A
     &grif_tabvars(216)%array1, Agrif_tabvars(225)%array3, Agrif_tabvars
     &(217)%array1, Agrif_tabvars(226)%array3, Agrif_tabvars(221)%array1
     &, Agrif_tabvars(229)%array3, Agrif_tabvars(219)%array1, Agrif_tabv
     &ars(227)%array3, Agrif_tabvars(220)%array1, Agrif_tabvars(228)%arr
     &ay3, Agrif_tabvars(222)%array1, Agrif_tabvars(230)%array3, Agrif_t
     &abvars(223)%array1, Agrif_tabvars(231)%array3, Agrif_tabvars_r(3)%
     &array0, Agrif_tabvars_r(5)%array0, Agrif_tabvars(241)%array1, Agri
     &f_tabvars_r(12)%array0, Agrif_tabvars_r(75)%array0, Agrif_tabvars(
     &218)%array1, Agrif_tabvars_i(288)%iarray0, Agrif_tabvars_i(289)%ia
     &rray0, Agrif_tabvars_r(78)%array0, Agrif_tabvars_i(39)%iarray0, Ag
     &rif_tabvars_i(282)%iarray0, Agrif_tabvars_i(284)%iarray0, Agrif_ta
     &bvars_i(283)%iarray0, Agrif_tabvars_i(285)%iarray0, Agrif_tabvars_
     &i(293)%iarray0, Agrif_tabvars_i(298)%iarray0, Agrif_tabvars_i(291)
     &%iarray0, Agrif_tabvars_i(296)%iarray0, Agrif_tabvars_i(292)%iarra
     &y0, Agrif_tabvars_i(297)%iarray0, Agrif_tabvars_i(294)%iarray0, Ag
     &rif_tabvars_i(299)%iarray0, Agrif_tabvars_i(295)%iarray0, Agrif_ta
     &bvars_i(300)%iarray0, Agrif_tabvars_c(18)%carray2, Agrif_tabvars_i
     &(287)%iarray0, Agrif_tabvars_i(29)%iarray0, Agrif_tabvars_c(11)%ca
     &rray0, Agrif_tabvars_i(147)%iarray0, Agrif_tabvars_i(290)%iarray0,
     & Agrif_tabvars_i(167)%iarray0)

      end


#include "Sub_Loop_get_bulk.h"
      subroutine set_bulk_tile (Istr,Iend,Jstr,Jend)      


      use Agrif_Util
#include "Param_BeforeCall_set_bulk_tile.h"
      integer(4) :: Istr
      integer(4) :: Iend
      integer(4) :: Jstr
      integer(4) :: Jend
      

        call Sub_Loop_set_bulk_tile(Istr,Iend,Jstr,Jend, Agrif_tabvars_i
     &(14)%iarray0, Agrif_tabvars_i(4)%iarray0, Agrif_tabvars_i(13)%iarr
     &ay0, Agrif_tabvars_i(2)%iarray0, Agrif_tabvars_i(167)%iarray0, Agr
     &if_tabvars_r(8)%array0, Agrif_tabvars_l(6)%larray0, Agrif_tabvars(
     &216)%array1, Agrif_tabvars(217)%array1, Agrif_tabvars(221)%array1,
     & Agrif_tabvars(219)%array1, Agrif_tabvars(220)%array1, Agrif_tabva
     &rs(222)%array1, Agrif_tabvars(223)%array1, Agrif_tabvars(234)%arra
     &y2, Agrif_tabvars(225)%array3, Agrif_tabvars(232)%array2, Agrif_ta
     &bvars(226)%array3, Agrif_tabvars(233)%array2, Agrif_tabvars(229)%a
     &rray3, Agrif_tabvars(241)%array1, Agrif_tabvars(237)%array2, Agrif
     &_tabvars(215)%array2, Agrif_tabvars(227)%array3, Agrif_tabvars(235
     &)%array2, Agrif_tabvars(228)%array3, Agrif_tabvars_r(75)%array0, A
     &grif_tabvars(236)%array2, Agrif_tabvars(230)%array3, Agrif_tabvars
     &(238)%array2, Agrif_tabvars(231)%array3, Agrif_tabvars(239)%array2
     &, Agrif_tabvars_i(295)%iarray0, Agrif_tabvars_i(158)%iarray0, Agri
     &f_tabvars_i(147)%iarray0, Agrif_tabvars_r(78)%array0, Agrif_tabvar
     &s(218)%array1, Agrif_tabvars_r(3)%array0, Agrif_tabvars_r(5)%array
     &0, Agrif_tabvars_i(290)%iarray0, Agrif_tabvars_l(13)%larray0, Agri
     &f_tabvars_i(8)%iarray0, Agrif_tabvars_l(14)%larray0, Agrif_tabvars
     &_l(11)%larray0, Agrif_tabvars_i(7)%iarray0, Agrif_tabvars_l(12)%la
     &rray0)

      end


#include "Sub_Loop_set_bulk_tile.h"
